<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>List Journal</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm">
                    <div class="card-header">
                        <h5>Journal List</h5>
                    </div>
                    <div class="card-body">
                        <form action="" method="get">
                            <div class="row mb-3">
                                <div class="col-md-3">
                                    <label>Cari</label>
                                    <input type="text" class="form-control"
                                           placeholder="Cari berdasarkan deskripsi"
                                           name="search" th:value="${search}">
                                </div>
                                <div class="col-md-3">
                                    <label>Institut</label>
                                    <select name="institut" class="form-control">
                                        <option value="">-- Pilih Institut --</option>
                                        <option th:each="data, row:${institut}"
                                                th:value="${data.id}"
                                                th:selected="${data == institutParams}"
                                                th:text="${data.namaInstitut}"></option>
                                    </select>
                                </div>
                                <div class="col-md-3">
                                    <label>Start Date</label>
                                    <input type="date" class="form-control" name="startDate" th:value="${startDate}">
                                </div>
                                <div class="col-md-3">
                                    <label>End Date</label>
                                    <input type="date" class="form-control" name="endDate" th:value="${endDate}">
                                </div>
                            </div>
                            <div class="row mb-2">
                                <div class="col-md-12 text-center">
                                    <button class="btn btn-primary" type="submit">Search</button>
                                </div>
                            </div>

                        </form>
                        <div class="row mb-3">
                            <div class="col-md-12 text-end">
                                <a th:if="${startDate != null}" th:href="@{/download/journal(startDate = ${startDate}, endDate = ${endDate})}" class="btn btn-outline-success">Download Excel</a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                    <strong th:text="${success}"></strong>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                                <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${error != null}">
                                    <strong th:text="${error}"></strong>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover">
                                <thead class="table-dark" style="--bs-table-bg: #0a3e8a">
                                <tr>
                                    <th width="5%">#</th>
                                    <th width="80%" colspan="1">Deskripsi</th>
                                    <th width="">Tanggal</th>
                                    <th>Institut</th>
                                </tr>
                                </thead>
                                <tbody th:each="data, row:${journal}">
                                <tr class="bg-secondary bg-opacity-25">
                                    <td th:text="${(row.index + 1)}">1</td>
                                    <td colspan="1" th:text="${data.description}">Pendaftaran Mahasiswa atas nama Arif Rahmatullah</td>
                                    <td th:text="${#temporals.format(data.transactionDate, 'dd MMMM YYYY')}">20 January 2024</td>
                                    <td th:text="${data.institut?.namaInstitut}">-</td>
                                </tr>
                                <tr class="bg-secondary bg-opacity-10">
                                    <td></td>
                                    <th>Account</th>
                                    <th width="20%">Debet</th>
                                    <th>Credit</th>
                                </tr>
                                <tr th:each="dataDetail, rowDetail:${journalDetail}" th:if="${data.id == dataDetail.journal.id}">
                                    <td></td>
                                    <td th:text="${dataDetail.account.code + ' - ' + dataDetail.account.name}">Kas</td>
                                    <td>
                                        <span th:if="${dataDetail.balanceType.toString() == 'DEBET'}" th:text="${#numbers.formatDecimal(dataDetail.amount,  0, 'POINT', 2, 'COMMA')}"></span>
                                    </td>
                                    <td>
                                        <span th:if="${dataDetail.balanceType.toString() == 'CREDIT'}" th:text="${#numbers.formatDecimal(dataDetail.amount,  0, 'POINT', 2, 'COMMA')}"></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"></td>
                                    <td>
                                        <a th:href="@{/journal/data/detail(journal = ${data.id})}" class="btn btn-primary btn-sm">Edit</a>
                                    </td>
                                    <td>
                                        <a th:href="@{/journal/delete(journal = ${data.id})}" class="btn btn-danger btn-sm"
                                           onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');">Hapus</a>
                                    </td>
                                </tr>
                                </tbody >
                            </table>
                            <nav aria-label="Page navigation example">
                                <ul class="pagination justify-content-center" sd:pagination="full">
                                    <li class="page-item disabled">
                                        <a class="page-link" href="#" tabindex="-1">Previous</a>
                                    </li>
                                    <li class="page-item"><a class="page-link" href="#">1</a></li>
                                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                                    <li class="page-item">
                                        <a class="page-link" href="#">Next</a>
                                    </li>
                                </ul>
                            </nav>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>